import { motion, type HTMLMotionProps } from "motion/react";
import clsx, { type ClassValue } from "clsx";

import classes from "./GreenSurface.module.css";

type Props = Omit<HTMLMotionProps<"div">, "className"> & {
  className?: ClassValue;
};

export default function GreenSurface(props: Props) {
  return <motion.div {...props} className={clsx(classes.greenSurface, props.className)} />;
}

export function GreenSurfaceContent(props: Props) {
  return <motion.div {...props} className={clsx(classes.greenSurfaceContent, props.className)} />;
}
